#!/bin/bash
#SBATCH --partition=batch
#SBATCH --job-name=cwltool-case
#SBATCH --ntasks-per-node=4
#SBATCH --nodes=1
#SBATCH --time=1:00:00

module load gcc/9.4.0

#activate the virtual environment for cwltool
source /mnt/apps/prebuilt/cwltool_venv/bin/activate

#run your commands

cwltool hello_world.cwl
cwltool hello_world.cwl --message="Hola mundo"

deactivate